Create a draft document version
The base document must be published. Otherwise, return `409` without changing the document or its versions. Create an inactive draft with a server-generated…
The base document must be published. Otherwise, return 409 without
changing the document or its versions.
Create an inactive draft with a server-generated UUID. name is an
optional friendly name and does not set the version id or key. An
allowed source version can be used as a source. Creation does not activate
the new version.
Authorization
bearerAuth In: header
Path Parameters
Document UUID
uuidQuery Parameters
Selected locale. This value takes precedence over x-locale. An invalid or disabled explicit value returns 400.
Header Parameters
Selected locale when the locale query value is not supplied. The tenant default locale is the fallback only when both locale inputs are absent. An invalid or disabled explicit value returns 400.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://app.orbiqhq.com/api/v1/documents/550e8400-e29b-41d4-a716-446655440000/versions" \ -H "Authorization: Bearer $ACCESS_TOKEN"{ "success": true, "data": { "version": { "id": "4c7f8591-0a1c-4c33-96fb-dac3e48c4bde", "key": "00000000-0000-4000-8000-000000000000", "name": "Q2 Refresh", "status": "draft", "is_active": false, "date_created": "2025-04-30T09:30:00Z", "date_updated": "2025-04-30T09:30:00Z", "modified_fields": [] } }}How is this guide?